OpenVDB 7.0.0

Public Types | Public Member Functions | List of all members
GetVal< IterT, StatsT > Struct Template Reference

`#include <Statistics.h>`

## Public Types
using | ValueT = typename IterTraits< IterT >::ValueType
using | ImplT = GetValImpl< ValueT, VecTraits< ValueT >::IsVec >

## Public Member Functions
void | operator() (const IterT &iter, StatsT &stats) const

## Member Typedef Documentation

## ◆ ImplT

using ImplT = GetValImpl<ValueT, VecTraits<ValueT>::IsVec>

## ◆ ValueT

using ValueT = typename IterTraits<IterT>::ValueType

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const IterT & | iter,
|  | StatsT & | stats
| ) |  | const
| inline

The documentation for this struct was generated from the following file:

- Statistics.h